export interface BookTrackerPluginSettings {
	templateFile: string;
	tbrDirectory: string;
	fileNameFormat: string;
	downloadCovers: boolean;
	coverDirectory: string;
	groupCoversByFirstLetter: boolean;
	overwriteExistingCovers: boolean;
	statusProperty: string;
	startDateProperty: string;
	endDateProperty: string;
	ratingProperty: string;
	pageLengthProperty: string;
	readingLogDirectory: string;
}

export const DEFAULT_SETTINGS: BookTrackerPluginSettings = {
	templateFile: "",
	tbrDirectory: "books/tbr",
	fileNameFormat: "{{title}} - {{authors}}",
	downloadCovers: false,
	coverDirectory: "images/covers",
	groupCoversByFirstLetter: true,
	overwriteExistingCovers: false,
	statusProperty: "status",
	startDateProperty: "startDate",
	endDateProperty: "endDate",
	ratingProperty: "rating",
	pageLengthProperty: "pageLength",
	readingLogDirectory: "reading-logs",
};
